package domain


type AlibabaAelophyOrderGetPlatformDeduction struct {
    /*
        技术服务费     */
    TechnicalServiceFee  *int64 `json:"technical_service_fee,omitempty" `

    /*
        支付服务费     */
    PayServiceFee  *int64 `json:"pay_service_fee,omitempty" `

    /*
        基础物流费     */
    BaseLogisticsFee  *int64 `json:"base_logistics_fee,omitempty" `

    /*
        代运营服务费     */
    ThirdpartnarFee  *int64 `json:"thirdpartnar_fee,omitempty" `

}

func (s *AlibabaAelophyOrderGetPlatformDeduction) SetTechnicalServiceFee(v int64) *AlibabaAelophyOrderGetPlatformDeduction {
    s.TechnicalServiceFee = &v
    return s
}
func (s *AlibabaAelophyOrderGetPlatformDeduction) SetPayServiceFee(v int64) *AlibabaAelophyOrderGetPlatformDeduction {
    s.PayServiceFee = &v
    return s
}
func (s *AlibabaAelophyOrderGetPlatformDeduction) SetBaseLogisticsFee(v int64) *AlibabaAelophyOrderGetPlatformDeduction {
    s.BaseLogisticsFee = &v
    return s
}
func (s *AlibabaAelophyOrderGetPlatformDeduction) SetThirdpartnarFee(v int64) *AlibabaAelophyOrderGetPlatformDeduction {
    s.ThirdpartnarFee = &v
    return s
}
